quarkus:
  http:
    port: 8080
    idle-timeout: 30s
  thread-pool:
    max-threads: 100
    core-threads: 1

api:
  source-id: RPIR
  allowed:
    request-validation:
      recipient-id-number: '^[VEJ]\d+$'
      applicant-id-number: '^[VEJ]\d+$'
      channel-code: '^(BOL)$'
  read-messages:
    from-props: true
  rec-payment-initiation-request:
    messages:
      key: 'rec-payment-initiation-request'
      content: '[{"backendCode":"001","httpCode":400,"statusCode":"001","description":"LN001 - Error en cabecera backend"},{"backendCode":"003","httpCode":409,"statusCode":"003","description":"Uso interno"},{"backendCode":"004","httpCode":400,"statusCode":"004","description":"Error en  cabecera backend"},{"backendCode":"007","httpCode":400,"statusCode":"007","description":"Validar el No cta enviada"},{"backendCode":"010","httpCode":401,"statusCode":"010","description":"Uso interno"},{"backendCode":"011","httpCode":400,"statusCode":"011","description":"Validar montos"},{"backendCode":"012","httpCode":400,"statusCode":"012","description":"Uso interno"},{"backendCode":"013","httpCode":400,"statusCode":"013","description":"Validar el No cta enviada"},{"backendCode":"016","httpCode":400,"statusCode":"016","description":"Validar montos"},{"backendCode":"024","httpCode":403,"statusCode":"024","description":"Uso interno"},{"backendCode":"025","httpCode":403,"statusCode":"025","description":"Uso interno"},{"backendCode":"026","httpCode":401,"statusCode":"026","description":"Uso interno"},{"backendCode":"027","httpCode":401,"statusCode":"027","description":"Uso interno"},{"backendCode":"028","httpCode":401,"statusCode":"028","description":"Error en  cabecera backend"},{"backendCode":"035","httpCode":400,"statusCode":"035","description":"Uso interno"},{"backendCode":"037","httpCode":400,"statusCode":"037","description":"LN037 - ID Cliente No Encontrada."},{"backendCode":"048","httpCode":401,"statusCode":"048","description":"Transaccion no puede ser ejecutada"},{"backendCode":"049","httpCode":400,"statusCode":"049","description":"El numero de telefono celular afiliado a la Banca digital es invalido. Le invitamos a realizar la actualizacion en la agencia de su preferencia"},{"backendCode":"072","httpCode":400,"statusCode":"072","description":"Validar parametros de entrada"},{"backendCode":"077","httpCode":400,"statusCode":"077","description":"Uso interno"},{"backendCode":"100","httpCode":400,"statusCode":"100","description":"Uso interno"},{"backendCode":"108","httpCode":400,"statusCode":"108","description":"Validar el No cta enviada"},{"backendCode":"109","httpCode":403,"statusCode":"109","description":"Uso interno"},{"backendCode":"199","httpCode":400,"statusCode":"199","description":"Uso interno"},{"backendCode":"240","httpCode":402,"statusCode":"240","description":"Uso interno"},{"backendCode":"249","httpCode":402,"statusCode":"249","description":"Error en  cabecera backend"},{"backendCode":"257","httpCode":402,"statusCode":"257","description":"Validar configuracion montos y limites"},{"backendCode":"311","httpCode":403,"statusCode":"311","description":"Uso interno"},{"backendCode":"322","httpCode":403,"statusCode":"322","description":"Uso interno"},{"backendCode":"388","httpCode":403,"statusCode":"388","description":"AFPM388 - Registro no existente"},{"backendCode":"408","httpCode":403,"statusCode":"408","description":"Uso interno"},{"backendCode":"415","httpCode":400,"statusCode":"415","description":"Uso interno"},{"backendCode":"424","httpCode":424,"statusCode":"424","description":"Uso interno"},{"backendCode":"451","httpCode":403,"statusCode":"451","description":"Uso interno"},{"backendCode":"569","httpCode":400,"statusCode":"569","description":"LN569 - Error en cabecera backend"},{"backendCode":"607","httpCode":403,"statusCode":"607","description":"Uso interno"},{"backendCode":"609","httpCode":403,"statusCode":"609","description":"Error interno backend"},{"backendCode":"622","httpCode":204,"statusCode":"622","description":"Uso interno"},{"backendCode":"655","httpCode":400,"statusCode":"655","description":"Uso interno"},{"backendCode":"667","httpCode":400,"statusCode":"667","description":"Uso interno"},{"backendCode":"670","httpCode":404,"statusCode":"670","description":"Uso interno"},{"backendCode":"715","httpCode":715,"statusCode":"715","description":"Error en cabecera backend"},{"backendCode":"725","httpCode":400,"statusCode":"725","description":"Uso interno"},{"backendCode":"744","httpCode":403,"statusCode":"744","description":"Uso interno"},{"backendCode":"758","httpCode":401,"statusCode":"758","description":"Uso interno"},{"backendCode":"762","httpCode":403,"statusCode":"762","description":"Validar el No cta enviada"},{"backendCode":"763","httpCode":403,"statusCode":"763","description":"Validar el No cta enviada"},{"backendCode":"764","httpCode":403,"statusCode":"764","description":"Validar el No cta enviada"},{"backendCode":"765","httpCode":403,"statusCode":"765","description":"Validar el No cta enviada"},{"backendCode":"766","httpCode":403,"statusCode":"766","description":"Validar el No cta enviada"},{"backendCode":"770","httpCode":400,"statusCode":"770","description":"Uso interno"},{"backendCode":"823","httpCode":400,"statusCode":"823","description":"Uso interno"},{"backendCode":"826","httpCode":400,"statusCode":"826","description":"Uso interno"},{"backendCode":"918","httpCode":403,"statusCode":"918","description":"Error en cabecera backend"},{"backendCode":"924","httpCode":924,"statusCode":"924","description":"Error interno backend"},{"backendCode":"963","httpCode":963,"statusCode":"963","description":"Error interno backend"},{"backendCode":"965","httpCode":402,"statusCode":"965","description":"Validar configuracion montos y limites"},{"backendCode":"991","httpCode":403,"statusCode":"991","description":"Error interno backend"},{"backendCode":"992","httpCode":402,"statusCode":"992","description":"Validar configuracion montos y limites"},{"backendCode":"999","httpCode":403,"statusCode":"999","description":"LN999 - Error interno backend"},{"backendCode":"200","httpCode":200,"statusCode":"200","description":"Operacion exitosa"},{"backendCode":"OK","httpCode":200,"statusCode":"OK","description":"Operacion exitosa"},{"backendCode":"503","httpCode":503,"statusCode":"503","description":"Uso interno"},{"backendCode":"422","httpCode":422,"statusCode":"422","description":"Uso interno"},{"backendCode":"500","httpCode":503,"statusCode":"500","description":"Uso interno"},{"backendCode":"SERVICE_UNAVAILABLE","httpCode":500,"statusCode":"SERVICE_UNAVAILABLE","description":"Uso interno"},{"backendCode":"OSB-382505","httpCode":503,"statusCode":"OSB-382505","description":"Uso interno"},{"backendCode":"OSB-380002","httpCode":503,"statusCode":"OSB-380002","description":"Uso interno"},{"backendCode":"ERROR","httpCode":400,"statusCode":"ERROR","description":"Uso interno"},{"backendCode":"400","httpCode":400,"statusCode":"400","description":"Uso interno"},{"backendCode":"401","httpCode":401,"statusCode":"401","description":"Uso interno"},{"backendCode":"403","httpCode":403,"statusCode":"403","description":"Uso interno"},{"backendCode":"404","httpCode":404,"statusCode":"404","description":"Uso interno"},{"backendCode":"429","httpCode":429,"statusCode":"429","description":"Uso interno"},{"backendCode":"default","httpCode":409,"statusCode":"default","description":"Conflicto"},{"backendCode":"R404","httpCode":404,"statusCode":"404","description":"Datos de validacion no encontrado."},{"backendCode":"VDE01","httpCode":400,"statusCode":"VDE01","description":"VDE01 - Error en dato de entrada obligatorio: %s"},{"backendCode":"VDE02","httpCode":400,"statusCode":"VDE02","description":"VDE02 - Error en valor permitido para campo: %s"},{"backendCode":"VRN04","httpCode":503,"statusCode":"VRN04","description":"Servicio en horario de mantenimiento"}]'
  rest-client:
    bus-payment-initiation-request: '{"url":"http://localhost:8082/payment-initiation-request/initiate","timeout":{"connect":15000,"response":15000},"config":{}}'